XSLoaderImpl (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.XSLoaderImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSLoaderImpl

    java.lang.Object
      org.apache.xerces.impl.xs.XSLoaderImpl

All Implemented Interfaces:
  org.apache.xerces.xs.XSLoader, org.w3c.dom.DOMConfiguration

    public final class XSLoaderImpl

extends java.lang.Object
implements org.apache.xerces.xs.XSLoader, org.w3c.dom.DOMConfiguration

An implementation of XSLoader which wraps XMLSchemaLoader.

Version:
  $Id: XSLoaderImpl.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Michael Glavassevich, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`XSLoaderImpl()` No-args constructor.

Method Summary
`boolean` | `canSetParameter(java.lang.String name, java.lang.Object value)`
`org.w3c.dom.DOMConfiguration` | `getConfig()` The configuration of a document.
`java.lang.Object` | `getParameter(java.lang.String name)`
`org.w3c.dom.DOMStringList` | `getParameterNames()`
`org.apache.xerces.xs.XSModel` | `load(org.w3c.dom.ls.LSInput is)` Parse an XML Schema document from a resource identified by a `LSInput` .
`org.apache.xerces.xs.XSModel` | `loadInputList(org.apache.xerces.xs.LSInputList is)` Parses the content of XML Schema documents specified as a list of `LSInput`s.
`org.apache.xerces.xs.XSModel` | `loadURI(java.lang.String uri)` Parse an XML Schema document from a location identified by a URI reference.
`org.apache.xerces.xs.XSModel` | `loadURIList(org.apache.xerces.xs.StringList uriList)` Parses the content of XML Schema documents specified as the list of URI references.
`void` | `setParameter(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLoaderImpl

    public XSLoaderImpl()

  No-args constructor.

Method Detail

### getConfig

    public org.w3c.dom.DOMConfiguration getConfig()

  The configuration of a document. It maintains a table of recognized parameters. Using the configuration, it is possible to change the behavior of the load methods. The configuration may support the setting of and the retrieval of the following non-boolean parameters defined on the `DOMConfiguration` interface: `error-handler` (`DOMErrorHandler`) and `resource-resolver` (`LSResourceResolver`).
  The following list of boolean parameters is defined:
  `"validate"`
    `true`
      [required] (default) Validate an XML Schema during loading. If validation errors are found, the error handler is notified.
    `false`
      [optional] Do not report errors during the loading of an XML Schema document.

  Specified by:
    `getConfig` in interface `org.apache.xerces.xs.XSLoader`

### loadURIList

    public org.apache.xerces.xs.XSModel loadURIList(org.apache.xerces.xs.StringList uriList)

  Parses the content of XML Schema documents specified as the list of URI references. If the URI contains a fragment identifier, the behavior is not defined by this specification.

  Specified by:
    `loadURIList` in interface `org.apache.xerces.xs.XSLoader`
  Parameters:
    `uriList` - The list of URI locations.
  Returns:
    An XSModel representing the schema documents.

### loadInputList

    public org.apache.xerces.xs.XSModel loadInputList(org.apache.xerces.xs.LSInputList is)

  Parses the content of XML Schema documents specified as a list of `LSInput`s.

  Specified by:
    `loadInputList` in interface `org.apache.xerces.xs.XSLoader`
  Parameters:
    `is` - The list of `LSInput`s from which the XML Schema documents are to be read.
  Returns:
    An XSModel representing the schema documents.

### loadURI

    public org.apache.xerces.xs.XSModel loadURI(java.lang.String uri)

  Parse an XML Schema document from a location identified by a URI reference. If the URI contains a fragment identifier, the behavior is not defined by this specification.

  Specified by:
    `loadURI` in interface `org.apache.xerces.xs.XSLoader`
  Parameters:
    `uri` - The location of the XML Schema document to be read.
  Returns:
    An XSModel representing this schema.

### load

    public org.apache.xerces.xs.XSModel load(org.w3c.dom.ls.LSInput is)

  Parse an XML Schema document from a resource identified by a `LSInput` .

  Specified by:
    `load` in interface `org.apache.xerces.xs.XSLoader`
  Parameters:
    `is` - The `LSInput` from which the source document is to be read.
  Returns:
    An XSModel representing this schema.

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object value)
                      throws org.w3c.dom.DOMException

  Specified by:
    `setParameter` in interface `org.w3c.dom.DOMConfiguration`
  Throws:
    `org.w3c.dom.DOMException`

### getParameter

    public java.lang.Object getParameter(java.lang.String name)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `getParameter` in interface `org.w3c.dom.DOMConfiguration`
  Throws:
    `org.w3c.dom.DOMException`

### canSetParameter

    public boolean canSetParameter(java.lang.String name,
                                   java.lang.Object value)

  Specified by:
    `canSetParameter` in interface `org.w3c.dom.DOMConfiguration`

### getParameterNames

    public org.w3c.dom.DOMStringList getParameterNames()

  Specified by:
    `getParameterNames` in interface `org.w3c.dom.DOMConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.